Bug 123943 - FILEOPEN DOCX Background color moves
Summary: FILEOPEN DOCX Background color moves
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-03-08 13:30 UTC by NISZ LibreOffice Team
Modified: 2019-04-03 10:17 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file about background color moves (22.89 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-03-08 13:31 UTC, NISZ LibreOffice Team
Details
Screenshot about background color moves (247.92 KB, image/png)
2019-03-08 13:31 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-03-08 13:30:45 UTC
Description:
Background color around the text in cell in DOCX documents created with Microsoft Word moves when the document is opened in LibreOffice Writer 6.3.0.0.alpha0+ 65438bcda46bab4f2fe6fb555f44aace45e11e5e.

Steps to Reproduce:

    1. Open the attached DOCX file in LibreOffice Writer 6.3.0.0.alpha0+ 65438bcda46bab4f2fe6fb555f44aace45e11e5e.
    2. Open a copy in LibreOffice Writer 6.3.0.0.alpha0+ 74674905b77419620a79671942ecb44d3ba6b2a3.
    3. Compare the original file opened in the two different builds..
    4. View the attached screenshot.
    5. Notice, that Background color around the text in cell moves.

Actual Results:
Background color around the text in cell moves when the document is opened in LibreOffice Writer 6.3.0.0.alpha0+ 65438bcda46bab4f2fe6fb555f44aace45e11e5e.

Expected Results:
Background color should have the same position as the original file when the document is opened in LibreOffice Writer 6.3.0.0.alpha0+ 74674905b77419620a79671942ecb44d3ba6b2a3.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:

bad case
Version: 6.3.0.0.alpha0+
Build ID: 65438bcda46bab4f2fe6fb555f44aace45e11e5e
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded

good case
Version: 6.3.0.0.alpha0+
Build ID: 74674905b77419620a79671942ecb44d3ba6b2a3
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2019-03-08 13:31:18 UTC
Created attachment 149826 [details]
Example file about background color moves
Comment 2 NISZ LibreOffice Team 2019-03-08 13:31:40 UTC
Created attachment 149827 [details]
Screenshot about background color moves
Comment 3 NISZ LibreOffice Team 2019-03-08 13:32:23 UTC
Bibisect log:
# bad: [3131562d97284b6083034053f4967a74d7088e52] source sha:65438bcda46bab4f2fe6fb555f44aace45e11e5e
# good: [ea94942caaf195b8d8b2d5c2abb523359ab390e7] source sha:a20a2d7e0d28658f2d9089da076961a599833a28
git bisect start 'origin/master' 'oldest'
# good: [c37660815ba36d886e9d144270b0a200282b209d] source sha:b22d08827c0d42890cf1e45d084dc3e08bc48aa9
git bisect good c37660815ba36d886e9d144270b0a200282b209d
# good: [d9e1e1eb243c7ffcf524cecf66f592283896113c] source sha:9cb5b06eea8f0067bb9ddee9f4f1c992eda34a64
git bisect good d9e1e1eb243c7ffcf524cecf66f592283896113c
# good: [b7edf89e66f9bfd60e0fb4e43977783f3f6e7139] source sha:86e5ec2e5f199185dd8e9a03e72d4a2f81d9eabc
git bisect good b7edf89e66f9bfd60e0fb4e43977783f3f6e7139
# bad: [b56af155267d252140cd476d368f64a3bfd0be0d] source sha:a1deb4f6f159c1e9cfbde8407399746c1a2ce556
git bisect bad b56af155267d252140cd476d368f64a3bfd0be0d
# bad: [3450232cd0950c7d6315647a688d7ebd06d74c24] source sha:993b8a6667fb0ca58ec1145cc1f9529c34f3266c
git bisect bad 3450232cd0950c7d6315647a688d7ebd06d74c24
# bad: [48457281e2b9e762b1597b442821f3585e7980bc] source sha:eef8c4952da288629f9aad23f75d6f894eba83b4
git bisect bad 48457281e2b9e762b1597b442821f3585e7980bc
# bad: [e2bf6403781bcf4292475489536ed2e05d1af60d] source sha:ce31d3cd23510fb545b0f923ea24fb3cb5303780
git bisect bad e2bf6403781bcf4292475489536ed2e05d1af60d
# good: [3e1aee4602ad7075773a107a180062cb6b5135e0] source sha:6d2c720dccc3a9d2d0dcaeaa7d6014b7acc5708f
git bisect good 3e1aee4602ad7075773a107a180062cb6b5135e0
# bad: [000ee579a14aa144734d85d4e425504ba3b944b5] source sha:8fdbda18b593e7014e44a0fd590bbf98d83258b7
git bisect bad 000ee579a14aa144734d85d4e425504ba3b944b5
# good: [0e85aac7dea98354c4a31e55a5844f01105591ba] source sha:74674905b77419620a79671942ecb44d3ba6b2a3
git bisect good 0e85aac7dea98354c4a31e55a5844f01105591ba
# good: [6339d2798c68c959d39c429debbd0a3aa2f4d783] source sha:18975274ddc585cc3e3e8b6ae5c2800b27723444
git bisect good 6339d2798c68c959d39c429debbd0a3aa2f4d783
# good: [de9b496c03e349ffdb6072cd3036080270c66c0a] source sha:3473e1df1fa3483bae68a3c01fdd1b18def99745
git bisect good de9b496c03e349ffdb6072cd3036080270c66c0a
# first bad commit: [000ee579a14aa144734d85d4e425504ba3b944b5] source sha:8fdbda18b593e7014e44a0fd590bbf98d83258b7
Comment 4 Gabor Kelemen (allotropia) 2019-03-08 13:37:14 UTC
These two both began at:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=8fdbda18b593e7014e44a0fd590bbf98d83258b7
Comment 5 Miklos Vajna 2019-03-08 14:57:18 UTC
Confirmed.
Comment 6 Commit Notification 2019-03-22 08:03:05 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4c5d0e4822dcd0c6c9397a45e3afb66d53ebaafc%5E%21

tdf#123943 sw btlr writing mode render: fix text portion background

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Miklos Vajna 2019-03-22 08:04:20 UTC
No backport, problem was master-only.
Comment 8 Xisco Faulí 2019-03-22 09:33:04 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 4c5d0e4822dcd0c6c9397a45e3afb66d53ebaafc
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!